//AABB - [2020-04-13 11:57:46]
#ifndef _FTT3D_H_
#define _FTT3D_H_

#include "CFTTAABB32.h"
#include "CFTTVector32.h"
#include "CFTTSphere32.h"
#include "CFTTMatrix32.h"
#include "CFTTUberShader.h"
#include "CFTTTexture.h"
#include "sh_struct.h"

/*
0020E27C FTT3D_Initialize()
0020E280 FTT3D_Cleanup()
0020E314 FTT3D_AllocVerts()
0020E5D8 FTT3D_SetPhysiqueMaxThreads(int a1)
0020E5DC FTT3D_SetPhysiqueBufferMinSize(int a2, bool b)
0020E640 FTT3D_DebugRenderLine(CFTTVector32 const& pVector32, CFTTVector32 const& pVector32_2, uint a3)
0020E76C FTT3D_DebugRenderBox(CFTTAABB32 const& pAABB32, CFTTMatrix32 const* pMatrix32, uint a3, bool b)
0020E874 FTT3D_DebugRenderCylinder(CFTTVector32 const& Vector32, float f2, float f3, CFTTMatrix32 const* pMatrix32, uint a5)
0020E918 FTT3D_DebugRenderSphere(CFTTSphere32 const& pSphere32, CFTTMatrix32 const* pMatrix32, uint a3, bool b)
0020EA5C FTT3D_DebugRenderHull(float * pf, int a2, ushort * pData, int a4, CFTTMatrix32 const* pMatrix32, uint a6, bool b)
0020EB14 FTT3D_DebugRenderCollisionObject(TCollBlock * pCollBlock, int a2, CFTTMatrix32 * pMatrix32, uint a4)
0020EBCC FTT3D_DebugRenderMarkupObject(TMarkupBlock * pMarkupBlock, int a2, CFTTMatrix32 * pMatrix32, uint a4)
0020ECB0 FTT3D_RenderCubemap(CFTTMatrix32 const* pMatrix32, CFTTTexture * pTexture, bool b)
*/

//0020E27C
void FTT3D_Initialize();

//0020E280
void FTT3D_Cleanup();

//0020E314
void FTT3D_AllocVerts();

//0020E5D8
void FTT3D_SetPhysiqueMaxThreads(int a1);

//0020E5DC
void FTT3D_SetPhysiqueBufferMinSize(int a2, bool b);

//0020E640
void FTT3D_DebugRenderLine(CFTTVector32 const& pVector32, CFTTVector32 const& pVector32_2, uint a3);

//0020E76C
void FTT3D_DebugRenderBox(CFTTAABB32 const& pAABB32, CFTTMatrix32 const* pMatrix32, uint a3, bool b);

//0020E874
void FTT3D_DebugRenderCylinder(CFTTVector32 const& Vector32, float f2, float f3, CFTTMatrix32 const* pMatrix32, uint a5);

//0020E918
void FTT3D_DebugRenderSphere(CFTTSphere32 const& pSphere32, CFTTMatrix32 const* pMatrix32, uint a3, bool b);

//0020EA5C
void FTT3D_DebugRenderHull(float * pf, int a2, ushort * pData, int a4, CFTTMatrix32 const* pMatrix32, uint a6, bool b);

//0020EB14
void FTT3D_DebugRenderCollisionObject(TCollBlock * pCollBlock, int a2, CFTTMatrix32 * pMatrix32, uint a4);

//0020EBCC
void FTT3D_DebugRenderMarkupObject(TMarkupBlock * pMarkupBlock, int a2, CFTTMatrix32 * pMatrix32, uint a4);

//0020ECB0
void FTT3D_RenderCubemap(CFTTMatrix32 const* pMatrix32, CFTTTexture * pTexture, bool b);




#endif //_FTT3D_H_